Status: Under Review Priority: Should have
Author: Alexander Berl Category: Reflection
Created: 2013-04-17 Assigned To:
Updated: 2013-05-21 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: ReflectionData and classSchema caches need not be freezable
Description

Currently, ReflectionData and classSchema caches call the backend->freeze() and ->isFrozen() method in production context without
checking if the backend is actually a freezable backend. This prevents those caches from being used with better performing backends
than FileBackend.

History
#1 - 2013-04-17 16:45 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20012

#2 - 2013-04-17 16:48 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20012

#3 - 2013-05-21 13:08 - Robert Lemke
- Target version set to 2.0.1
